#include "vieter_job_queue_internal.h"

vieter_job *vieter_job_init() { return calloc(1, sizeof(vieter_job)); }

void vieter_job_free(vieter_job *job) {
  if (job->schedule != NULL) {
    vieter_cron_expr_free(job->schedule);
  }

  if (job->failure_report != NULL) {
    vieter_job_failure_report_free(job->failure_report);
  }

  free(job);
}

vieter_job_failure_report *vieter_job_failure_report_init() {
  return calloc(1, sizeof(vieter_job_failure_report));
}

void vieter_job_failure_report_free(vieter_job_failure_report *report) {
  free(report->msg);
  free(report);
}
